%define upstream_name    Mozilla-CA
%define upstream_version 20160104

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Mozilla's CA cert bundle in PEM format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mozilla/%{upstream_name}-%{upstream_version}.tar.gz
# RHBZ #738383
Patch0:         Mozilla-CA-20160104-Redirect-to-ca-certificates-bundle.patch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: rootcerts
Requires: rootcerts
BuildArch:  noarch

%description
Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
certificates in a form that can be consumed by modules and libraries based
on OpenSSL.

The module provide a single function:

* SSL_ca_file()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
# Do not distribute Mozilla downloader, we take certificates from
# the rootcerts package
rm mk-ca-bundle.pl
sed -i '/^mk-ca-bundle.pl$/d' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 20160104.0.0-3pclos2017
- rebuild against updates

